Package org.pushingpixels.flamingo.api.ribbon.resize

# Class CoreRibbonResizeSequencingPolicies.CollapseFromLast

java.lang.Object
org.pushingpixels.flamingo.api.ribbon.resize.BaseRibbonBandResizeSequencingPolicy
org.pushingpixels.flamingo.api.ribbon.resize.CoreRibbonResizeSequencingPolicies.CollapseFromLast

All Implemented Interfaces:
  `RibbonBandResizeSequencingPolicy`

Enclosing class:
  `CoreRibbonResizeSequencingPolicies`

public static class CoreRibbonResizeSequencingPolicies.CollapseFromLast extends BaseRibbonBandResizeSequencingPolicy
The collapse from last resize sequencing policy. Under this policy the ribbon bands are being collapsed from right to left.

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.api.ribbon.resize.BaseRibbonBandResizeSequencingPolicy

`ribbonTask`

## Constructor Summary

Constructors
Constructor
Description
`CollapseFromLast(RibbonTask ribbonTask)`
Creates a new collapse from last resize sequencing policy for the specified task.

## Method Summary

Modifier and Type
Method
Description
`AbstractRibbonBand`
`next()`
Returns the next ribbon band for collapse.
`void`
`reset()`
Resets this policy.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CollapseFromLast

public CollapseFromLast(RibbonTask ribbonTask)
Creates a new collapse from last resize sequencing policy for the specified task.

Parameters:
  `ribbonTask` - Ribbon task.

## Method Details

### reset

public void reset()
Description copied from interface: `RibbonBandResizeSequencingPolicy`
Resets this policy. Note that this method is for internal use only and should not be called by the application code.

### next

public AbstractRibbonBand next()
Description copied from interface: `RibbonBandResizeSequencingPolicy`
Returns the next ribbon band for collapse.

Returns:
  The next ribbon band for collapse.